> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Notebook



## OpenAPI

````yaml PATCH /api/v1/notebooks/{id}
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmonitor.io
security: []
tags: []
paths:
  /api/v1/notebooks/{id}:
    patch:
      tags:
        - notebooks
      summary: Update a notebook
      operationId: NotebookController_update_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateNotebookDto'
      responses:
        '200':
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    UpdateNotebookDto:
      type: object
      properties:
        title:
          type: string
        content:
          type: string
  securitySchemes:
    apiKey:
      scheme: bearer
      type: http
      description: >-
        Organization API key, prefixed with `gm_api_`. Send it as
        `Authorization: Bearer <api_key>`.

````